//
// Created by vlad on 23.03.23.
//

#ifndef GRAPHICS_LABS_WINDOW_H
#define GRAPHICS_LABS_WINDOW_H

class GLFWwindow;

class Window {
public:
    static int width;
    static int height;
    static GLFWwindow* window; // не лучшее решение делать window публичным
    static int initialize(int w, int h, const char* title);
    static void terminate();

    static void viewport(int x, int y, int w, int h);
    static void setCursorMode(int mode);
    static bool isShouldClose();
    static void setShouldClose(bool flag);
    static void swapBuffers();
    static void swapInterval(int interval);

    static float getTime();
};

#endif //GRAPHICS_LABS_WINDOW_H
